#
# spec file for package unionfs-fuse
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           unionfs-fuse
Version:        2.2
Release:        1.3
Summary:        Userspace Unionfs File System
License:        BSD-3-Clause
Group:          System/Filesystems
URL:            https://github.com/rpodgorny/unionfs-fuse
Source:         https://github.com/rpodgorny/unionfs-fuse/archive/v%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  libattr-devel
Requires:       fuse

%description
unionfs-fuse overlays several directory into one single mount point

It  first  tries to access the file on the top branch and if the file
does not exist there, it continues on lower level branches. If the user
tries to modify a file on a lower level read-only branch the file is
copied to to a higher level read-write branch if the copy-on-write
(cow) mode was enabled.

%prep
%setup -q

%build
%cmake -DWITH_XATTR=1
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc CREDITS NEWS
%{_mandir}/man?/*
%{_bindir}/unionfs
%{_bindir}/unionfsctl

%changelog
* Wed Aug  7 2024 ming li <mli@suse.com>
- update to 2.2:
  * fixed timestamp precision lost on cow copy
* Sun May  9 2021 Dirk Müller <dmueller@suse.com>
- update to 2.1:
  - fixed Finder fails on MacOS
  - Implement access() for "cow,relaxed_permissions" use case
  - fixed NEWS file ;-)
  - reverted meta directory name back to .unionfs (from .unionfs-fuse)
    this was never meant to be changed and slipped in in 1.0 release
  - fixes and speed improvements
* Mon Jul 11 2016 coolo@suse.com
- fix build by adding -fPIC
- clean up the spec file now that 13.1 is EOL
- add libattr as buildrequire
* Tue Apr  7 2015 p.drouand@gmail.com
- Update to version 1.0
  * renamed binary to unionfs-fuse
  * add uniofs-fuse-ctl utility to control unionfs-fuse over ioctl
  * better apple support
  * dropped stats
  * better test suite
- Update project and download Urls
- Use %%cmake macro with openSUSE >= 13.1
- Remove xz require; not needed anymore
* Mon Feb 11 2013 coolo@suse.com
- update to 0.26
  - use BUILD_PATH instead of snprintf, which will
  return -ENAMETOOLONG if the path is too long instead of simply
  using a wrong path
  - new options "-o relaxed_permissions" and "-o hide_meta_dir"
  - included the debian directory
  - Properly check on rmdir() if sub-branches are also empty
  - Always compile with debug code, but only enable debugging on request
  - New option -o debug_file
  - Lots of bugs fixed in BUILD_PATH()
  - Improved search of white-out files
  - Properly fix Debian Bug#509516.
  - More debug output.
  - Add syslog support without the risk of possible dead locks
  - Use fuse big-writes (and reads) if available
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Wed Feb 29 2012 tabraham@novell.com
- update to 0.25
  * Alternate way to specify branches
  * Minor fixes
- update to 0.24
  * Support for liveCDs / live USB sticks (-o chroot)
  * Build-in support to change the maximum number of open files
  * Added recursive directory COW.
* Tue Mar 24 2009 coolo@suse.de
- updated to official 0.23 snapshot
* Mon Mar  2 2009 coolo@suse.de
- initial package
